#include <iostream>
#include <stdlib.h>

using namespace std;

int main() {
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);
    long long x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;

    long long brk = 0;
    if ((x1 == x2) || (y1 == y2)) {
        brk = 2;
    }
    else {
        brk = abs(x1 - x2) == abs(y1 - y2) ? 1 : 0;
    }

    cout << brk;

    return 1;
}